Bug 126520 - KDE will ignore ALSA sound settings.
KDE will ignore ALSA sound settings.
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: 136543 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-06-22 15:13 EDT by Ivo Sarak
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 09:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-06-22 15:13:58 EDT
Description of problem:
FC2 shipping SoundBlaster Audigy drivers will default to Digital
output only (FC1 an ealrier run both analog and digital outputs) and
to get the sound from analog out the "Audigy Analog/Digital Output
Jack" must be muted in alsamixer. Issue here is that if to start KDE
the very same setting is unmuted again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC2;
2. Install Creative Audigy with analog speakers;
3. Start KDE & XMMS or something similar;
Actual results:

Expected results:
Audible sound.

Additional info:
There should be a way to make kmix or something else involved over KDE
side to work with alsamixer settings or add "mute" capabilities into
kmix to get the sound working without running alsamixer & muting it by
hand every time someone would like to hear something from the box.

Comment 1 Christopher Stone 2004-10-20 17:51:31 EDT
*** Bug 136543 has been marked as a duplicate of this bug. ***
Comment 2 Ivo Sarak 2004-12-03 13:24:53 EST
Over long time I am getting sound out of the box without messing with
the alsamixer.

Currently running:
Comment 3 Klaus Munsteiner 2004-12-22 13:57:23 EST
I tested the problem on a PII 350 and a Athlon 64 (32-bit Fedora C3).
Both PCs are available for testing. I think, the problem is that ALSA
volume settings are overwritten by the tools in the package
kdemultimedia3-mixer when KDE starts.

When I have a fresh installation and start gnome first everything
works fine. After the first start of KDE there is no sound.

SuSE 9.1 had the fault first with the new KDE Release. The Link:

Has someone an idea how to uninstall the kdemultimedia3-mixer and to
install the alsamixer?

I used SuSE many years and Fedora I know only since FC2.
If any configururation files are used, I saved the path /etc before
and after starting KDE. Let me know. For trouble shooting I can make a
a new installation, too.  
Comment 4 Klaus Munsteiner 2004-12-28 07:48:08 EST
My soundcard: Terratec DMX XFire 1024 
Modul: snd-cs46xx 
I think, I found the problem. By default the volume sliders of ADC 
and DAC in the KMixer panel are set down (Level is 0). If KDE will 
be closed, these values are saved. 
Next start a GNOME session and check the mixer's volume sliders. If 
you start soundcard detection you will hear no sound. Move the lever 
DAC (Digital Analog Converter) up and you will hear the sound by the 
next test. 
Next finish the session and start a KDE session. Do the same with 
the KDE mixer (DAC slider UP). You should hear the testsound when 
moving up the slider. 
If you close KDE the values of the KDE slider positions are saved 
and the sound is to hear in a GNOME session, too. 
The reason for the problems:  
If I use GNOME Mixer in KDE the mixer values are not saved.  
Comment 5 Matthew Miller 2006-07-10 17:04:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 09:09:21 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.